/********************************************************************************
** auth： *　*
** date： 2017-01-06 09:31:33
** desc： 尚未编写描述
*********************************************************************************/

using System.Web.Mvc;

namespace SouthSmart.GISService.Models
{
    public class JsonpResult : JsonResult
    {
        public JsonpResult()
        {
            JsonRequestBehavior = JsonRequestBehavior.AllowGet;
        }

        public string Callback { get; set; }

        ///<summary>
        ///对操作结果进行处理
        ///</summary>

        public override void ExecuteResult(ControllerContext context)
        {

            var httpContext = context.HttpContext;

            if (string.IsNullOrWhiteSpace(Callback))

                Callback = httpContext.Request["callback"]; //获得客户端提交的回调函数名称

            // 返回客户端定义的回调函数

            httpContext.Response.Write(Callback + "(");

            httpContext.Response.Write(Data);          //Data 是服务器返回的数据        

            httpContext.Response.Write(");");            //将函数输出给客户端，由客户端执行
        }
    }
}
